[package]
name = "jspg"
version = "0.1.0"
edition = "2024"

[dependencies]
pgrx = "0.16.1"
serde = { version = "1.0.228", features = ["derive", "rc"] }
serde_json = "1.0.149"
lazy_static = "1.5.0"
once_cell = "1.21.3"
ahash = "0.8.12"
regex = "1.12.3"
regex-syntax = "0.8.9"
url = "2.5.8"
fluent-uri = "0.3.2"
idna = "1.1.0"
percent-encoding = "2.3.2"
uuid = { version = "1.20.0", features = ["v4", "serde"] }
chrono = { version = "0.4.43", features = ["serde"] }
json-pointer = "0.3.4"
indexmap = { version = "2.13.0", features = ["serde"] }
moka = { version = "0.12.14", features = ["sync"] }
xxhash-rust = { version = "0.8.15", features = ["xxh64"] }
dashmap = "6.1.0"

[dev-dependencies]
pgrx-tests = "0.16.1"

[build-dependencies]
serde = { version = "1.0.228", features = ["derive"] }
serde_json = "1.0.149"

[lib]
crate-type = ["cdylib", "lib"]

[[bin]]
name = "pgrx_embed_jspg"
path = "src/bin/pgrx_embed.rs"

[features]
default = ["pg18"]
pg18 = ["pgrx/pg18", "pgrx-tests/pg18" ]
# Local feature flag used by `cargo pgrx test`
pg_test = []

[profile.dev]
panic = "unwind"
lto = "thin"

[profile.release]
panic = "unwind"
opt-level = 3
lto = "fat"
codegen-units = 1

[package.metadata.jspg]
target_draft = "draft2020-12"
